JavaScript/jQuery Funnel - Adaptive Layout

With the ever-growing variety of platforms, today's web sites and applications cannot stay competitive without being adaptive. Supporting this modern standard, the Funnel UI component possesses an adaptive layout. This enables the Funnel to hide its accessory elements if the container is not large enough to fit them. To configure the adaptive layout, use the adaptiveLayout object. Set its height and width fields to specify the minimum container size at which the layout retains all its elements.

JavaScript
  • $(function() {
  • $("#funnelContainer").dxFunnel({
  • // ...
  • adaptiveLayout: {
  • height: 300,
  • width: 400
  • }
  • });
  • });

View in CodePen

NOTE

The layout does not automatically adapt to changes made in the UI component's container at runtime. Therefore, if you enable a user to resize the container, call the render() method after each resizing to render the Funnel in the new size.

JavaScript
  • $("#funnelContainer").dxFunnel("render");
See Also

React Funnel - Adaptive Layout

With the ever-growing variety of platforms, today's web sites and applications cannot stay competitive without being adaptive. Supporting this modern standard, the Funnel UI component possesses an adaptive layout. This enables the Funnel to hide its accessory elements if the container is not large enough to fit them. To configure the adaptive layout, use the adaptiveLayout object. Set its height and width fields to specify the minimum container size at which the layout retains all its elements.

App.js
  • import React from 'react';
  • import Funnel, { AdaptiveLayout } from 'devextreme-react/funnel';
  •  
  • class App extends React.Component {
  • render() {
  • return (
  • <Funnel ... >
  • <AdaptiveLayout height={300} width={400} />
  • </Funnel>
  • );
  • }
  • }
  •  
  • export default App;

View in CodePen

NOTE

The layout does not automatically adapt to changes made in the UI component's container at runtime. Therefore, if you enable a user to resize the container, call the render() method after each resizing to render the Funnel in the new size.

App.js
  • import React from 'react';
  • import Funnel from 'devextreme-react/funnel';
  •  
  • class App extends React.Component {
  • constructor(props) {
  • super(props);
  • this.funnelRef = React.createRef();
  • }
  • render() {
  • return (
  • <Funnel ref={this.funnelRef} />
  • );
  • }
  • get funnel() {
  • return this.funnelRef.current.instance;
  • }
  • renderFunnel () {
  • this.funnel.render();
  • }
  • }
  •  
  • export default App;
See Also

Vue Funnel - Adaptive Layout

With the ever-growing variety of platforms, today's web sites and applications cannot stay competitive without being adaptive. Supporting this modern standard, the Funnel UI component possesses an adaptive layout. This enables the Funnel to hide its accessory elements if the container is not large enough to fit them. To configure the adaptive layout, use the adaptiveLayout object. Set its height and width fields to specify the minimum container size at which the layout retains all its elements.

App.vue
  • <template>
  • <DxFunnel ... >
  • <DxAdaptiveLayout
  • :height="300"
  • :width="400"
  • />
  • </DxFunnel>
  • </template>
  •  
  • <script>
  • import DxFunnel, {
  • DxAdaptiveLayout
  • } from 'devextreme-vue/funnel';
  •  
  • export default {
  • components: {
  • DxFunnel,
  • DxAdaptiveLayout
  • }
  • }
  • </script>

View in CodePen

NOTE

The layout does not automatically adapt to changes made in the UI component's container at runtime. Therefore, if you enable a user to resize the container, call the render() method after each resizing to render the Funnel in the new size.

App.vue
  • <template>
  • <DxFunnel ref="funnel" />
  • </template>
  •  
  • <script>
  • import DxFunnel from 'devextreme-vue/funnel';
  •  
  • export default {
  • components: {
  • DxFunnel
  • },
  • methods: {
  • renderFunnel () {
  • this.$refs.funnel.instance.render();
  • }
  • }
  • }
  • </script>
See Also